/*
 * Title  : sho_aux_occ.sql
 * Author : EXADIME LLC
 * Created: 30-Mar-2018
 * Updated: 30-Mar-2018
 * Release: 1.0.0
 * Purpose: Shows sysaux occupants.
 * History: N/A
 */

start oracle.ini

set echo off
set feedback off
set serverout on
set termout on

set linesize 100
set pagesize 100
set pause off
set long 80

set heading on
set headsep on
set underline on
set colsep " "

set define on
set verify off
set escape off
set embedded on

col sno			format 999		heading "#"
col occupant_name	format a30		heading "Occupant Name"
col schema_name		format a30		heading "Schema Name"
col space_usage_kbytes	format 999,999,999	heading "KBytes|Used"

compute sum of space_usage_kbytes on report

break on report

accept p_order_col char prompt "Enter order by column {1|2|3} [asc|desc] " default 3

spool &&rpt_dir/sho_aux_occ.rpt

select
	rownum sno,
	occupant_name,
	schema_name,
	space_usage_kbytes
from
	v$sysaux_occupants
order by
	&&p_order_col;

spool off;

clear columns

set embedded off
set escape off
set verify on
set define on

set colsep " "
set underline on
set headsep on
set heading on

set pause off
set pagesize 24
set linesize 80
set long 80

set termout on
set serverout off
set feedback on
set echo off
